Test for Bash Bug Vulnerability CVE-2014-6271 (Shellshock)


Try this line in a Mac or Linux terminal to know if you're vulnerable nor not:
env x='() { :;}; echo vulnerable' bash -c 'echo test'
If you're not vulnerable, this line will just output "test", else it will output "vulnerable test".

For Debian Wheezy users there's an official update available already.
For those that are still running squeeze, have a look here.

More information for Debian users:
https://www.debian.org/security/2014/dsa-3032
https://security-tracker.debian.org/tracker/CVE-2014-6271

And some technical details:
http://seclists.org/oss-sec/2014/q3/650
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-6271

Mac OS X users should have a look here:
http://www.devops.zone/security/securing-mac-os-from-cve-2014-6271-shellshock-bash-bug/

And it continues … please have a look here too.